## ironcope 0.1

=== Makefile ===
CFLAGS?=-Os -g -Wall
LDFLAGS?=-Wl,--as-needed

IRONCOPE_PKGS:=hildon-1 libhildondesktop-1 libpulse-mainloop-glib
IRONCOPE_CFLAGS:=$(shell pkg-config $(IRONCOPE_PKGS) --cflags) \
	-fPIC -DG_LOG_DOMAIN=\"Ironcope\"
IRONCOPE_LIBS:=$(shell pkg-config $(IRONCOPE_PKGS) --libs)

SRCS:=widget.c
OBJS:=$(SRCS:.c=.o)

all: libironcope-widget.so

libironcope-widget.so: $(OBJS)
	$(CC) -shared $(IRONCOPE_LDFLAGS) $(LDFLAGS) -o $@ $^ $(IRONCOPE_LIBS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(IRONCOPE_CFLAGS) $(CFLAGS) -o $@ -c $<

install: libironcope-widget.so
	install -d $(DESTDIR)$(shell pkg-config --variable=hildondesktoplibdir libhildondesktop-1)
	install libironcope-widget.so \
		$(DESTDIR)$(shell pkg-config --variable=hildondesktoplibdir libhildondesktop-1)
	install -d $(DESTDIR)$(shell pkg-config --variable=hildonhomedesktopentrydir libhildondesktop-1)
	install ironcope.desktop \
		$(DESTDIR)$(shell pkg-config --variable=hildonhomedesktopentrydir libhildondesktop-1)

clean:
	rm -f libironcope-widget.so *.o $(MO_FILES)

.PHONY: all install clean

=== debian/changelog ===
ironcope (0.1) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Thu,  3 Mar 2011 01:33:24 +0100

=== debian/control ===
Source: ironcope
Section: user/desktop
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libpulse-dev
Standards-Version: 3.7.2

Package: ironcope
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A music waveform for your desktop
 Ironcope is currently a very simple stereo realtime moving plot of peak
 amplitude versus time that you can add as a widget to your desktop.
 .
 The upper plot is your left channel, the lower plot is your right channel.
 .
 It will eat your battery while you're staring at it with music playing, but
 hopefully not otherwise.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"
	#docbook-to-man debian/ironcope.sgml > ironcope.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ironcope.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ironcope install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ironcope 0.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
-CFLAGS?=-Os -g -Wall
+CFLAGS?=-Os -ffast-math -g -Wall
 LDFLAGS?=-Wl,--as-needed
 
-IRONCOPE_PKGS:=hildon-1 libhildondesktop-1 libpulse-mainloop-glib
+IRONCOPE_PKGS:=hildon-1 libhildondesktop-1 hildon-extras-1 gconf-2.0 \
+	libpulse-mainloop-glib
 IRONCOPE_CFLAGS:=$(shell pkg-config $(IRONCOPE_PKGS) --cflags) \
-	-fPIC -DG_LOG_DOMAIN=\"Ironcope\"
+	-fPIC -DG_LOG_DOMAIN=\"Ironcope\" -DGETTEXT_PACKAGE=\"ironcope\"
 IRONCOPE_LIBS:=$(shell pkg-config $(IRONCOPE_PKGS) --libs)
 
-SRCS:=widget.c
+SRCS:=widget.c settings.c
 OBJS:=$(SRCS:.c=.o)
 
 all: libironcope-widget.so
@@ -22,8 +23,11 @@
 	install libironcope-widget.so \
 		$(DESTDIR)$(shell pkg-config --variable=hildondesktoplibdir libhildondesktop-1)
 	install -d $(DESTDIR)$(shell pkg-config --variable=hildonhomedesktopentrydir libhildondesktop-1)
-	install ironcope.desktop \
+	install -m 0644 ironcope.desktop \
 		$(DESTDIR)$(shell pkg-config --variable=hildonhomedesktopentrydir libhildondesktop-1)
+	install -d $(DESTDIR)/usr/share/gconf/schemas
+	install -m 0644 ironcope.schemas $(DESTDIR)/usr/share/gconf/schemas/
+	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/ironcope.schemas > /dev/null
 
 clean:
 	rm -f libironcope-widget.so *.o $(MO_FILES)

=== debian/changelog ===
ironcope (0.2) unstable; urgency=low

  * New settings dialog.
  * Added the ability to customize applet color.
  * New average amplitude visualization.
  * Enlarged the widget a bit.
  * Made the "peak" visualization slightly faster.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Mar 2011 04:40:44 +0100

=== debian/control ===
Source: ironcope
Section: user/desktop
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libhildon-extras1-dev,
 libgconf2-dev, libpulse-dev
Standards-Version: 3.7.2

Package: ironcope
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A music waveform for your desktop
 Ironcope is a very simple stereo realtime moving plot of peak or average
 amplitude versus time that you can add as a widget to your desktop.
 .
 The upper half is your left channel, the lower half is your right channel.
 You can configure the applet's color in its settings dialog.
 .
 It will eat your battery while you're staring at it with music playing, but
 hopefully not at other times.
XB-Maemo-Display-Name: Ironcope
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9sD
 BAQiM2OEJCEAAADzSURBVGje7ZpBEoAgCEWd6TCexbN6Nscj/Ba1bJpQjI8Dq1by
 X5IIlFLYZRCaS9E0MDNiTEG0Hf8KstLRUog/t1rdl0Wcqvm0Pimm/TOc2cMamBKO
 WAtbxhTroUv3Ek2M4kXaXAMwi/+kcRsABScHgAKg3kv2+7kAOLQglrx9ABlAe7kx
 NwBZfReUrsZZUMPkJQCTYdMEAG0mnFYAlIFKsjAB1AGAygTQBwB6AEQIbfQRcxyj
 7hOZ26uE+8tc1ANRlUVNvElbZYvGlvvWIhOEWnfaZXv9aRFXAw4LCLezMtNJpZsx
 6xfH9INuiZjt/5tIYZedM2cQadwfGIcAAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
+	CFLAGS += -Os -ffast-math
 endif
 
 configure: configure-stamp
@@ -67,25 +67,13 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-	dh_installman
+	dh_gconf
+#	Fixes a nasty bug with dh_gconf & busybox
+	rm -f $(CURDIR)/debian/ironcope.postrm.debhelper
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
